<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class Create1557130765823LitmasSidangsTable extends Migration
{
    public function up()
    {
        Schema::create('litmas_sidangs', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('nama_id')->nullable();
            $table->foreign('nama_id', 'nama_fk_42089')->references('id')->on('identitas_kliens');
            $table->string('bimbingan')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down()
    {
        Schema::dropIfExists('litmas_sidangs');
    }
}
